Bug 1465118 - Multiple monitor layout not remembered with kernel 4.11.X on xorg
Multiple monitor layout not remembered with kernel 4.11.X on xorg
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 13:06 EDT by Dalin Laqua
Modified: 2017-12-12 05:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:32:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dalin Laqua 2017-06-26 13:06:49 EDT
Description of problem:
I have 2 external monitors attached to a Dell Latitude E5550 with onboard intel graphics, so using 3 displays total. I am running Xorg not wayland. My monitor arrangement (position and choice of primary) have always been remembered until the update to the 4.11.X kernels. On the new kernel the layout is always reset with every reboot. If I fall back to the 4.10.X kernels everything is fine. I tested again today with 4.11.6-201 and the problem is still there.


Version-Release number of selected component (if applicable):
All 4.11.X kernels


How reproducible:
Always


Steps to Reproduce:
1. Boot 4.10.X kernel, log into Gnome with Xorg and arrange monitors and select a primary display
2. Reboot with 4.11.X kernel and all display settings are lost.
3. Arrange monitors and select a primary.
4. Reboot with 4.11.X kernel and all display settings are lost.
5. Reboot with 4.10.X kernel and all display settings are remembered.

Actual results:
On 4.11.X kernel with Xorg multiple monitor display settings are not remembered after reboot.


Expected results:
On 4.11.X kernel with Xorg mutiple monitor display settings should be remembered after reboot.


Additional info:
One of my co-workers has the same hardware configuration and experiences the exact same issue. He is still on Fedora 24 so it appears to be kernel 4.11.X
Comment 1 Fedora End Of Life 2017-11-16 13:32:14 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:32:08 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.